unit R2x245;
////////////////////////////////////////////////////////////////////////////////
//
//                    R2x245.dll
//
////////////////////////////////////////////////////////////////////////////////

                                interface
////////////////////////////////////////////////////////////////////////////////
uses
  windows,
  SysUtils,
  R2x245Types;
  
const
  DLL_NAME = 'R2x245.dll';

//       
function InterfaceEnumerate(): short; stdcall; external DLL_NAME;
function InterfaceGetFirst(var desc: TInterfDescriptor): short; stdcall; external DLL_NAME;
function InterfaceGetNext(var desc: TInterfDescriptor): short; stdcall; external DLL_NAME;
function InterfaceOpen(num: short): short; stdcall; external DLL_NAME;
function InterfaceClose(): short; stdcall; external DLL_NAME;

//    
function GetReaderVersion(adr: short; ver: PByteArray; maxlen: short): short; stdcall; external DLL_NAME;

//    
function GetReaderDate(adr: short; var Year, Month, Day: word): short; stdcall; external DLL_NAME;
function GetReaderTime(adr: short; var Hour, Min, Sec, DOW: word): short; stdcall; external DLL_NAME;
function SetReaderDate(adr: short; Year, Month, Day: word): short; stdcall; external DLL_NAME;
function SetReaderTime(adr: short; Hour, Min, Sec, DOW: word): short; stdcall; external DLL_NAME;

//     
function SetTagMemTime_1(adr: short; num100ms: short): short; stdcall; external DLL_NAME;
function SetTagMemTime_2(adr: short; num100ms: short): short; stdcall; external DLL_NAME;
function GetTagMemTime_1(adr: short; var num100ms: short): short; stdcall; external DLL_NAME;
function GetTagMemTime_2(adr: short; var num100ms: short): short; stdcall; external DLL_NAME;

//  
function SetDumping_1(adr: short; dump: short): short; stdcall; external DLL_NAME;
function SetDumping_2(adr: short; dump: short): short; stdcall; external DLL_NAME;
function GetDumping_1(adr: short; var dump: short): short; stdcall; external DLL_NAME;
function GetDumping_2(adr: short; var dump: short): short; stdcall; external DLL_NAME;

//   
function SetChannelActivity_1(adr: short; act: short): short; stdcall; external DLL_NAME;
function SetChannelActivity_2(adr: short; act: short): short; stdcall; external DLL_NAME;

//     
function GetNumTags_1(adr: short; var num: short): short; stdcall; external DLL_NAME;
function GetFirstTag_1(adr: short; var serial: DWORD): short; stdcall; external DLL_NAME;
function GetNextTag_1(adr: short; var serial: DWORD): short; stdcall; external DLL_NAME;
//
function GetNumTags_2(adr: short; var num: short): short; stdcall; external DLL_NAME;
function GetFirstTag_2(adr: short; var serial: DWORD): short; stdcall; external DLL_NAME;
function GetNextTag_2(adr: short; var serial: DWORD): short; stdcall; external DLL_NAME;

// #############################################################################
//              1.1.2. 
// #############################################################################
function SetNewReaderAddr(adr, newaddr: short): short; stdcall; external DLL_NAME;

function ClearTransactions(adr: short): short; stdcall; external DLL_NAME;
function GetNumTransactions(adr: short; var num: short): short; stdcall; external DLL_NAME;
function GetNextTransaction(adr: short; var code, ch: short; var tag: DWORD;
                            var Year, Month, Day,
                            Hour, Min, Sec, DOW: word): short; stdcall; external DLL_NAME;

// #############################################################################
//               06.11.2008  1.2.2.x
// #############################################################################
function AuditOnOff(adr: short; on: short): short; stdcall;
function SetRadioConfig(adr: short; ch: short; rchan, raddr: short): short; stdcall;
function GetRadioConfig(adr: short; ch: short; var rchan, raddr: short): short; stdcall;


                               implementation
////////////////////////////////////////////////////////////////////////////////


end.
