unit About;
////////////////////////////////////////////////////////////////////////////////
//
////////////////////////////////////////////////////////////////////////////////

                              interface
////////////////////////////////////////////////////////////////////////////////
uses Windows, SysUtils, Classes, Graphics, Forms, Controls, StdCtrls,
  Buttons, ExtCtrls, jpeg, VerInf; 

type
  TfrmAbout = class(TForm)
    Panel1: TPanel;
    ProductName: TLabel;
    Version: TLabel;
    Copyright: TLabel;
    Comments: TLabel;
    OKButton: TButton;
    lblProductName: TLabel;
    lblFileVersion: TLabel;
    lblCopyRight: TLabel;
    lblComments: TLabel;
    lblDLLInfo: TLabel;
    DLLInfo: TLabel;
    Label1: TLabel;
    ProgramIcon: TImage;
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmAbout: TfrmAbout;

implementation
////////////////////////////////////////////////////////////////////////////////
{$R *.DFM}

uses
  R2x245;

procedure TfrmAbout.FormCreate(Sender: TObject);
// uses VerInf;
var
  VerInfo: TVersionInfo;
begin
  try
    VerInfo := TVersionInfo.Create(Application.ExeName);
    if VerInfo.Valid then
    begin
      lblProductName.Caption := VerInfo.ProductName;
      lblFileVersion.Caption := VerInfo.FileVersion;
      lblCopyRight.Caption := VerInfo.LegalCopyright;
      lblComments.Caption := VerInfo.Comments;
      lblDLLInfo.Caption := 'Not DLL Version';
    end;
  finally
     VerInfo.Free;
  end;
  //    DLL,       EXE:
  try
    VerInfo := TVersionInfo.Create(ExtractFilePath(Application.ExeName) + DLL_NAME);
    if VerInfo.Valid then
    begin
      lblDLLInfo.Caption := 'Ver. ' + VerInfo.FileVersion;
    end else begin
      lblDLLInfo.Caption := 'Not DLL Version';
    end;
  finally
     VerInfo.Free;
  end;
end;

end.
 
